Bug 245714 - glibc breaks with filelist error on alpha
Summary: glibc breaks with filelist error on alpha
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: glibc   
(Show other bugs)
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Jakub Jelinek
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2007-06-26 09:37 UTC by Oliver Falk
Modified: 2007-11-30 22:12 UTC (History)
0 users

Fixed In Version: 2.6-4
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-07-11 15:22:06 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Oliver Falk 2007-06-26 09:37:01 UTC
Version-Release number of selected component (if applicable): glibc-2.6-1

Index: glibc.spec
===================================================================
RCS file: /cvs/extras/devel/glibc/glibc.spec,v
retrieving revision 1.308
diff -r1.308 glibc.spec
1372c1372
<   | sed 's|^|/usr/src/debug/|' >> debuginfocommon.filelist
---
>   | sed 's|^|/usr/src/debug/|' | grep -v "<built-in>" >> debuginfocommon.filelist


I had to add the above fix to compile clean on alpha. I don't know where this
<built-in> comes from and why it doesn't appear on x86 or other archs. Maybe
something is updated on my build sys!?

Comment 1 Oliver Falk 2007-06-26 09:39:43 UTC
This is glibc-2.6-1. I also wonder where glibc-2.6-3 is coming from. I see it in
koji, but not in cvs!?

Comment 2 Jakub Jelinek 2007-06-28 09:41:24 UTC
glibc-2.6-3 is in glibc/F-7/ CVS, no post F7 glibc has been built yet.
I guess we can filter out <built-in>, probably much earlier than that,
in the same spot as <internal>, but wonder why this fails on alpha and doesn't
on i386 or sparc which uses the exact same code.  I'm seeing a bunch of
Sorting source file lists. Might take a while...
cpio: glibc-20070515T2025/argp/<built-in>: No such file or directory
cpio: glibc-20070515T2025/debug/<built-in>: No such file or directory
...
in the log, but the build doesn't fail.

Comment 3 Fedora Update System 2007-07-09 15:46:21 UTC
glibc-2.6-4 has been pushed to the Fedora 7 testing repository.  If problems still persist, please make note of it in this bug report.

Comment 4 Oliver Falk 2007-07-11 10:26:24 UTC
Jakub, wouldn't it be better to first commit the changes to -devel instead of f7?

Comment 5 Fedora Update System 2007-07-11 15:21:57 UTC
glibc-2.6-4 has been pushed to the Fedora 7 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 6 Oliver Falk 2007-07-17 07:21:42 UTC
Rebuild on alpha works out-of-the-box now. Thx!

Comment 7 Oliver Falk 2007-07-18 07:02:50 UTC
Jakub, can you tell me if the following looks OK for you. I just want to make
sure that the unpackaged includes and bins are really not needed...

Checking for unpackaged file(s): /usr/lib/rpm/check-files /var/tmp/gcc-4.1.2-15-root
warning: Installed (but unpackaged) file(s) found:
   /usr/bin/alpha-redhat-linux-gcc-4.1.2
   /usr/bin/alpha-redhat-linux-gcj
   /usr/bin/alpha-redhat-linux-gfortran
   /usr/bin/gccbug 
   /usr/include/ffi.h
   /usr/lib/gcc/alpha-redhat-linux/4.1.2/include/libffi/ffitarget.h
   /usr/lib/gcc/alpha-redhat-linux/4.1.2/include/ssp/ssp.h
   /usr/lib/gcc/alpha-redhat-linux/4.1.2/include/ssp/stdio.h
   /usr/lib/gcc/alpha-redhat-linux/4.1.2/include/ssp/string.h
   /usr/lib/gcc/alpha-redhat-linux/4.1.2/include/ssp/unistd.h
   /usr/lib/gcc/alpha-redhat-linux/4.1.2/install-tools/gsyslimits.h
   /usr/lib/gcc/alpha-redhat-linux/4.1.2/install-tools/include/README
   /usr/lib/gcc/alpha-redhat-linux/4.1.2/install-tools/include/float.h
   /usr/lib/gcc/alpha-redhat-linux/4.1.2/install-tools/include/iso646.h
   /usr/lib/gcc/alpha-redhat-linux/4.1.2/install-tools/include/limits.h
   /usr/lib/gcc/alpha-redhat-linux/4.1.2/install-tools/include/stdarg.h
   /usr/lib/gcc/alpha-redhat-linux/4.1.2/install-tools/include/stdbool.h
   /usr/lib/gcc/alpha-redhat-linux/4.1.2/install-tools/include/stddef.h
   /usr/lib/gcc/alpha-redhat-linux/4.1.2/install-tools/include/unwind.h
   /usr/lib/gcc/alpha-redhat-linux/4.1.2/install-tools/include/varargs.h
   /usr/lib/gcc/alpha-redhat-linux/4.1.2/install-tools/macro_list
   /usr/lib/gcc/alpha-redhat-linux/4.1.2/install-tools/mkheaders.conf
   /usr/lib/libgcc_s.so
   /usr/lib/libgcj-tools.so
   /usr/lib/libgcj.so
   /usr/lib/libgfortran.so
   /usr/lib/libgij.so
   /usr/lib/libgomp.so
   /usr/lib/libmudflap.so
   /usr/lib/libmudflapth.so
   /usr/lib/libobjc.so
   /usr/lib/libstdc++.so
   /usr/libexec/gcc/alpha-redhat-linux/4.1.2/install-tools/fixinc.sh
   /usr/share/locale/de/LC_MESSAGES/libstdc++.mo
   /usr/share/locale/fr/LC_MESSAGES/libstdc++.mo
   /usr/share/man/man1/gnative2ascii.1.gz
   /usr/share/man/man7/fsf-funding.7.gz
   /usr/share/man/man7/gfdl.7.gz
   /usr/share/man/man7/gpl.7.gz
Wrote: /home/oliver/cvs/devel/gcc/gcc-4.1.2-15.src.rpm
Wrote: /home/oliver/cvs/devel/gcc/alpha/gcc-4.1.2-15.alpha.rpm
Wrote: /home/oliver/cvs/devel/gcc/alpha/libgcc-4.1.2-15.alpha.rpm
Wrote: /home/oliver/cvs/devel/gcc/alpha/gcc-c++-4.1.2-15.alpha.rpm
Wrote: /home/oliver/cvs/devel/gcc/alpha/libstdc++-4.1.2-15.alpha.rpm
Wrote: /home/oliver/cvs/devel/gcc/alpha/libstdc++-devel-4.1.2-15.alpha.rpm
Wrote: /home/oliver/cvs/devel/gcc/alpha/gcc-objc-4.1.2-15.alpha.rpm
Wrote: /home/oliver/cvs/devel/gcc/alpha/gcc-objc++-4.1.2-15.alpha.rpm
Wrote: /home/oliver/cvs/devel/gcc/alpha/libobjc-4.1.2-15.alpha.rpm
Wrote: /home/oliver/cvs/devel/gcc/alpha/gcc-gfortran-4.1.2-15.alpha.rpm
Wrote: /home/oliver/cvs/devel/gcc/alpha/libgfortran-4.1.2-15.alpha.rpm
Wrote: /home/oliver/cvs/devel/gcc/alpha/libgomp-4.1.2-15.alpha.rpm
Wrote: /home/oliver/cvs/devel/gcc/alpha/libmudflap-4.1.2-15.alpha.rpm
Wrote: /home/oliver/cvs/devel/gcc/alpha/libmudflap-devel-4.1.2-15.alpha.rpm
Wrote: /home/oliver/cvs/devel/gcc/alpha/gcc-java-4.1.2-15.alpha.rpm
Wrote: /home/oliver/cvs/devel/gcc/alpha/libgcj-4.1.2-15.alpha.rpm
Wrote: /home/oliver/cvs/devel/gcc/alpha/libgcj-devel-4.1.2-15.alpha.rpm
Wrote: /home/oliver/cvs/devel/gcc/alpha/libgcj-src-4.1.2-15.alpha.rpm
Wrote: /home/oliver/cvs/devel/gcc/alpha/cpp-4.1.2-15.alpha.rpm
Wrote: /home/oliver/cvs/devel/gcc/alpha/gcc-gnat-4.1.2-15.alpha.rpm
Wrote: /home/oliver/cvs/devel/gcc/alpha/libgnat-4.1.2-15.alpha.rpm
Wrote: /home/oliver/cvs/devel/gcc/alpha/gcc-debuginfo-4.1.2-15.alpha.rpm



Note You need to log in before you can comment on or make changes to this bug.